@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

:root
{
    --background-color-primary: #FFFFFF;
    --white: #FFFFFF;
    --red: #FF2626;
    /* --red: #FF0000; */
    --lightest-green: #BCE5C5;
    --light-green: #8EC29A;
    --medium-green: #638E6D;
    --dark-green: #415C47;
    --lightest-gray: #DCECDF;
    --light-gray: #ABB7AE;
    --medium-gray: #646C66;
    --dark-gray: #474D48;
    --lightest-red: #FF5252;
    --light-red: #F35858;
    --medium-red: #C73D3D;
    --dark-red: #7E2020;
    --dark-contrast: #21232E;
    --background-color-secondary: #DCECDF;
    --shadow: #646C6690;
    --periwinkle: #AFAEF8;
    --medium-flesh: #BF5734;
    --light-flesh: #EB8665;
    --lightest-flesh: #FFB299;
    --medium-burnt: #BE3923;
    --dark-burnt: #652304;
    /* --title-background: var(--dark-contrast); */
    --standard-gap: 20px;
    --small-gap: 5px;
    --large-gap: 100px;
}

*
{
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
    font-size: 100%;
    vertical-align: baseline;
    background: transparent;
}

body
{
    font-family: "Inter";
    font-weight: 500;
    font-style: normal;
    background-color: var(--dark-contrast);
    color: var(--dark-contrast);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    overflow-x: hidden;
}

/* ::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-track {
    background: #f1f1f1;
}

::-webkit-scrollbar-thumb {
    background: #888;
}

::-webkit-scrollbar-thumb:hover {
    background: #555;
} */

h1
{
    font-weight: 700;
    font-size: 50px;
}

h2
{
    font-weight: 700;
    font-size: 20px;
    /* font-style: italic; */
    transform: skewX(-17deg);
    /* filter: drop-shadow(3px 3px 6px var(--shadow)); */
}

/* p span
{
    display: inline-block;
} */

#title-screen
{
    width: 100vw;
    height: calc(100vh - var(--standard-gap) * 2);
    min-height: 680px;
    background-color: var(--lightest-flesh);
    /* background: linear-gradient(
        to bottom,
        var(--lightest-flesh) 0%,
        var(--light-flesh) 50%,
        var(--lightest-flesh) 100%
    ); */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    color: var(--dark-contrast);
    transition: background-color 500ms;
}

.logo-area
{
    /* background-color: #00000022; */
    position: relative;
    max-width: 600px;
    width: 75vw;
    height: 25vw;
    max-height: 200px;
    opacity: 0%;
    animation: fade-in 1.5s ease-out forwards;
}

.big-logo
{
    /* background-color: #00000022; */
    position: relative;
    width: 120%;
    height: auto;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    pointer-events: none;
    fill: var(--dark-contrast);
}

@keyframes fade-in
{
    0%
    {
        opacity: 0%;
    }
    100%
    {
        opacity: 100%;
    }
}

#crosshair path, .logo-flags path, #bottom-segment path
{
    transition-duration: 500ms;
}

#a-crossing
{
    transition-duration: 500ms;
    transform-origin: 10% 50%;
}

#crosshair-horizontal
{
    transition-property: x, width, fill;
    transition-duration: 500ms;
}

#crosshair-vertical
{
    transition-property: y, height, fill;
    transition-duration: 500ms;
}

#knife
{
    /* transform-origin: 13% 22%; */
    /* transform-origin: 136px 78px; */
    transform-box: fill-box;
    transform-origin: center;
}

#knife.ready
{
    animation: knife-ready 500ms ease forwards;
}

#knife.throw
{
    animation: knife-throw 350ms cubic-bezier(0.15, 0, 0.15, 0) forwards; /* cubic-bezier(0.15, 0, 0.15, 0) */
}

#knife.return
{
    animation: knife-return 500ms ease forwards;
}

#target
{
    transform: scale(0);
    transform-origin: 45.75% 21%;
}

#target.ready
{
    animation: target-ready 500ms ease forwards;
}

#target.return
{
    animation: target-return 500ms ease forwards;
}

@keyframes knife-ready {
    0% 
    {
        transform: translateX(0px) rotate(0deg);
        fill: var(--dark-contrast);
    }
    100%
    {
        transform: translateX(-100px) rotate(-100deg);
        fill: var(--medium-burnt);
    }
}

@keyframes knife-throw {
    0%
    {
        transform: translateX(-100px) rotate(-100deg);
        fill: var(--medium-burnt);
    }
    100%
    {
        /* transform: translate(280px, 10px) rotate(355deg); */
        transform: translate(var(--destX), calc(10px + var(--destY))) rotate(355deg);
        fill: var(--medium-burnt);
    }
}

@keyframes knife-return {
    0%
    {
        transform: translateX(0px) rotate(-360deg) scale(0);
        fill: var(--medium-burnt);
    }
    100%
    {
        transform: translateX(0px) rotate(0deg) scale(1);
        fill: var(--dark-contrast);
    }
}

@keyframes target-ready {
    0%
    {
        transform: scale(0);
    }
    100%
    {
        transform: scale(1);
    }
}

@keyframes target-return {
    0%
    {
        transform: scale(1);
    }
    100%
    {
        transform: scale(0);
    }
}

/* #bottom-segment path
{
    transition-duration: 500ms;
} */

#a-slice, #r-1-slice, #m-1-slice, #m-2-slice, #m-3-slice, #o-slice, #r-2-slice, #y-slice
{
    position: absolute;
    height: 60%;
    top: 20%;
}

.slice-fall
{
    animation: slice-rotate 500ms ease forwards, slice-fall 350ms cubic-bezier(0.75, 0.1, 1, 1) 1s forwards;
}

.slice-return
{
    animation: slice-return 750ms ease forwards;
}

@keyframes slice-rotate 
{
    0%
    {
        transform: rotate(0deg);
        fill: var(--dark-contrast);
    }
    100%
    {
        transform: rotate(30deg);
        fill: var(--medium-burnt);
    }
}

@keyframes slice-fall 
{
    0%
    {
        transform: translateY(0px) rotate(30deg) ;
    }
    100%
    {
        transform: translateY(200px) rotate(30deg);
    }
}

@keyframes slice-return
{
    0%
    {
        transform: translateY(200px);
    }
    100%
    {
        transform: translateY(0px);
    }
}

#section-divider
{
    width: 100vw;
    height: var(--standard-gap);
    background-color: var(--dark-contrast);
    z-index: 1;
    position: sticky;
    bottom: 0px;
}

#nav-bar
{
    height: 45px; 
    width: fit-content; 
    position: sticky; 
    top: 0px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-evenly;
    background-color: var(--lightest-flesh);
    gap: var(--standard-gap);
    padding: var(--small-gap);
    margin: var(--standard-gap);
    z-index: 10;
    /* border: 10px;
    border-color: var(--white);
    border-style: solid; */

    /* border: 3px dashed var(--white);
    border-top: 0px; */
    transition-duration: 500ms;
}

#nav-highlight
{
    position: absolute;
    height: calc(100% - var(--small-gap) * 2);
    /* backdrop-filter: invert(100%); */
    background-color: var(--dark-contrast);
    transition-property: width, left;
    transition-duration: 500ms;
    pointer-events: none;
}

.nav-item
{
    height: auto;
    width: auto;
    cursor: crosshair;
    transition: color 125ms, transform 250ms;
    /* font-size: 25px; */
    z-index: 2;
    /* border-bottom: 3px solid var(--dark-contrast); */
}

/* .nav-label
{
    font-size: 30px;
} */

#body-section
{
    background-color: var(--white);
    z-index: 1;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
}

#content-section
{
    width: 100%;
    /* display: flex;
    flex-direction: column;
    align-items: center; */
    position: relative;
    transition: opacity 250ms;
    overflow-x: hidden;
}

/* #about-section
{
    max-width: 80%;
    width: auto;
    height: 100vh;
    display: flex;
    align-items: center;
} */



#launchcodes-logo
{
    fill: var(--dark-contrast);
    /* width: 60%;  */
    padding: var(--standard-gap);
    margin-bottom: 10px;
}

.feature-text
{
    padding: var(--standard-gap);
    width: 100%;
    /* background-color: var(--lightest-red); */
    box-sizing: border-box;
    /* margin-left: -75px; */
    position: relative;
    left: -75px;
    transition-duration: 500ms;

    & h2
    {
        border-bottom: 3px dashed var(--light-gray);
    }
}

.feature-wire, .feature-node
{
    transition-duration: 500ms;
}

.feature-box
{
    /* transition: width 500ms, top 250ms; */
    /* transition-duration: 500ms; */
    background-color: var(--white);
    /* height: 200px; */
    width: 0px;
    overflow: hidden;
    position: absolute;
    box-sizing: border-box;
    padding: 5px;
    font-size: 12px;
    opacity: 0%;
    /* visibility: hidden; */
    /* border: 0px dashed var(--medium-gray); */
}

.box-open
{
    animation: box-grow 500ms forwards;
}

.box-close
{
    animation: box-shrink 500ms forwards;
}

@keyframes box-grow {
    0%
    {
        opacity: 0%;
        width: 0px;
    }
    75%
    {
        opacity: 100%;
    }
    100%
    {
        opacity: 100%;
        width: 400px;
    }
}

@keyframes box-shrink {
    0%
    {
        opacity: 100%;
        width: 400px;
    }
    50%
    {
        opacity: 100%;
    }
    100%
    {
        width: 0px;
        opacity: 0%;
    }
}

.tour-highlight-area, .tour-highlight-area-tts
{
    position: absolute;
    /* background-color: var(--dark-contrast);
    opacity: 0%; */
    
}

.tour-highlight-area > div
{
    background-color: var(--dark-contrast);
    opacity: 0%;
    transition-duration: 500ms;
    width: 100%;
    height: 100%;
    position: absolute;
}

.tour-highlight-area > video, .tour-highlight-area-tts > video
{
    width: 100%;
    transition: opacity 500ms;
    position: absolute;
    opacity: 0%;
}

.red-corner
{
    position: absolute;
    width: 1%;
    /* left: 0%;
    top: 0%; */
    /* aspect-ratio: 1; */
    transition-duration: 500ms;
    opacity: 0%;
}

#tour-section
{
    box-sizing: border-box;
    transition: height 250ms;
}

#tour-menu-container
{
    width: 80vw;
    max-width: 1200px;
    overflow: hidden;
    background-color: var(--red);
}

#tour-description-menu
{
    /* position: relative; */
    display: flex;
    flex-direction: row;
    align-items: center;
    /* justify-content: space-around; */
    gap: 50px;
    width: 80vw;
    max-width: 1200px;
    overflow-x: scroll;
    overflow-y: hidden;
    box-sizing: border-box;
    /* padding-left: 500px;
    padding-right: 500px; */
    padding-top: 20px;
    padding-bottom: 20px;
    /* background-color: var(--medium-green); */
    /* border: 5px solid var(--lightest-gray); */
    transition: height 800ms;
    /* scroll-snap-type: x mandatory; */
    /* animation: menu-autoscroll 10s linear forwards; */
    /* border: 5px solid var(--dark-contrast); */
    border: 3px dashed var(--medium-gray);
    background-color: var(--dark-contrast);
    /* background: linear-gradient(
        to bottom,
        var(--dark-contrast) 0%,
        var(--dark-green) 20%,
        var(--dark-contrast) 100%
    ); */
}

.tour-item
{
    /* height: 75px; */
    padding: 20px;
    /* width: 30vw; */
    min-width: 200px;
    /* max-width: 700px; */
    /* flex-basis: 100%; */
    /* min-width: 200px; */
    background-color: var(--dark-green);
    color: var(--white);
    box-sizing: border-box;
    /* display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center; */
    transition-duration: 800ms;
    transition-property: filter;
    /* scroll-snap-align: center; */
    /* border: 5px solid var(--light-gray); */
    border: 3px dashed var(--medium-gray);
}

.tour-item h2
{
    border-bottom: 3px dashed var(--medium-gray);
}

.menu-spacer
{
    min-width: 45%;
    height: 100px;
}

.tour-item div
{
    margin-top: 20px;
    text-align: center;
    font-size: 13.5px;
}

#tour-description-placard
{
    position: relative;
    height: 150px;
}

.tour-item-tts
{
    color: var(--white);
    background-color: var(--dark-burnt);
    border: 3px dashed var(--medium-burnt);
    padding: 20px;
    transition: opacity 500ms;
    position: absolute;
    box-sizing: border-box;
    width: 100%;
    height: fit-content;
    opacity: 0%;
}

.tour-item-tts div
{
    font-size: 13.5px;
}

.tour-item-tts h2
{
    border-bottom: 3px dashed var(--medium-burnt);
    margin-bottom: 20px;
}

@keyframes menu-autoscroll {
    0%
    {
        scrollLeft: 0;
    }
    100%
    {
        scrollLeft: -2000;
    }
}

#tour-description-menu::-webkit-scrollbar {
    display: none;
}

iframe 
{
    aspect-ratio: 16 / 9;
}

#audio-demos > div
{
    padding: 10px;
}

#audio-demos h3
{
    border-bottom: 3px dashed var(--medium-burnt);
    margin-bottom: 10px;
    width: fit-content;
    font-size: 19px;
}

audio {
    width: 100%;
}

audio::-webkit-media-controls-current-time-display, audio::-webkit-media-controls-time-remaining-display {
    font-family: "Inter";
    font-weight: 700;
    text-shadow: none;
    color: var(--white);
}

audio::-webkit-media-controls-panel {
    background-color: var(--medium-burnt);
}

/* audio::-webkit-media-controls-timeline {
    color: var(--lightest-flesh);
} */

#big-red-button
{
    filter: drop-shadow(0px 0px 20px var(--light-red));
}

.contact-item
{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    /* background-color: var(--dark-contrast); */
}

.reverse-contact
{
    margin-left: auto;
}

.contact-icon
{
    width: 100px;
    height: 100px;
    background-color: var(--dark-contrast);
    border: 3px dashed var(--medium-gray);
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.contact-icon img
{
    max-height: 60%;
    max-width: 60%;
}

.contact-box
{
    width: 0px;
    height: 100px;
    background-color: var(--light-green);
    overflow: hidden;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    border: 3px dashed var(--medium-gray);
    opacity: 0%;
}

.contact-inner-content
{
    min-width: 400px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    /* background-color: var(--light-gray); */
}

.link-button
{
    border: 3px solid var(--dark-contrast);
    box-sizing: border-box;
    background-color: var(--white);
    cursor: pointer;
    padding: var(--small-gap);
    text-align: center;
    width: fit-content;
    transition: background-color 250ms;
    display: flex;
    align-items: center;
    justify-content: center;
}

a
{
    text-decoration: none;
    color: var(--dark-contrast);
}

#footer
{
    width: 100%;
    height: 100px;
    background-color: var(--dark-contrast);
    color: var(--white);
    font-size: 10px;
    display: flex;
    flex-direction: row;
    align-items: center;
    z-index: 10;
}

#secondary-nav-bar
{
    background-color: var(--dark-contrast);
    width: 100px;
    aspect-ratio: 1;
    position: fixed;
    left: 0px;
    top: 0px;
    z-index: 100;
}

#secondary-nav-bar svg
{
    transition: fill 250ms;
}

#download-page-container
{
    height: calc(100vh - 200px);
    min-height: 600px;
}

#download-screenshot
{
    height: 75%; 
    width: 40%; 
    object-fit: cover; 
    object-position: 100% 0%;
}

@media only screen and (max-width: 940px) {
    #portfolio-home
    {
        padding: 50px;
    }

    #big-name > span
    {
        font-size: 57px; 
        margin-top: -12px;
        height: 125px;
    }
}

@media only screen and (min-width: 941px) {
    #portfolio-home
    {
        padding: 100px;
    }

    #big-name > span
    {
        font-size: 145px; 
        margin-top: -29px;
    }
}

#portfolio-home
{
    width: 100%;
    min-height: fit-content;
    box-sizing: border-box;
    background-color: var(--lightest-gray);
    position: relative;
    border-top: 3px solid var(--dark-contrast);
}

/* #big-name
{
    display: inline-grid;
    grid-template-columns: repeat(auto-fit, fit-content);
} */

#mouse-crosshair
{
    pointer-events: none;
    z-index: 1;
    transition: opacity 500ms;
    opacity: 0%;
}

#mouse-crosshair line
{
    transition: transform 120ms, stroke 500ms, stroke-width 1s;
}

.corner
{
    width: 12px;
    aspect-ratio: 1;
    transition: 250ms;
    position: absolute;
    left: 0px;
    top: 0px;
    opacity: 0%;
    stroke: var(--lightest-red);
    /* position: fixed; */
    /* left: 50px; */
    /* top: 50px; */
    /* background-color: black; */
    z-index: 5;
    pointer-events: none;
    /* animation: pulse-red-stroke 2s ease forwards infinite;
    stroke: var(--light-red); */
}

.corner path
{
    transition: stroke-width 100ms;
}

.corner-red
{
    animation: pulse-red-stroke 2s ease forwards infinite;
    stroke: var(--light-red);
}

#shooting-gallery
{
    width: 1000px;
    max-width: 95%;
    /* aspect-ratio: 4; */
    background-color: var(--dark-contrast);
    position: relative;
    /* overflow: hidden; */
    background-clip: padding-box;
    cursor: crosshair;
}

#shooting-gallery p
{
    pointer-events: none;
    z-index: 10;
    position: relative;
    color: var(--dark-contrast);
    font-size: 38px;
    width: 100%;
    /* width: fit-content; */
    text-overflow: clip;
    overflow: hidden;
    text-wrap: nowrap;
}

.moving-text-line
{
    position: relative;
    display: block;
    animation: text-bounce 15s linear forwards infinite;
    left: -30%;
}

@keyframes text-bounce {
    0%
    {
        left: -30%;
    }
    50%
    {
        left: 20%;
    }
    100%
    {
        left: -30%;
    }
}

#gallery-sight
{
    width: 180px;
    /* height: 180px; */
    aspect-ratio: 1;
    position: absolute;
    /* transition: 10ms; */
    pointer-events: none;
    left: calc(50% - 90px);
    top: calc(50% - 90px);
    /* position: relative; */
    /* backdrop-filter: invert(100%); */
}

#gallery-sight svg
{
    position: absolute;
    transition: transform 250ms, backdrop-filter 500ms;
}

.fade-in-from-left
{
    opacity: 0%;
    position: relative;
    animation: fade-from-left 1.25s forwards 300ms;
}

@keyframes fade-from-left {
    0%
    {
        opacity: 0%;
        left: -30px;
    }
    25%
    {
        opacity: 50%;
    }
    100%
    {
        opacity: 100%;
        left: 0px;
    }
}

/* .corner-target
{
    background-color: white;
} */

.portfolio-container
{
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: start;
    gap: 50px;
    margin-top: 100px;
    margin-bottom: 100px;
    margin-left: 20px;
    margin-right: 20px;
    z-index: 2;
}

.feature-basics
{
    display: flex;
    flex-direction: column;
    gap: 20px;
    height: fit-content;
    /* width: 55%; */
}

.feature-tags p
{
    display: inline-block;
    padding: 7px;
    border-radius: 20px;
    border: 3px solid var(--white);
    background-color: var(--lightest-gray);
    margin-right: var(--small-gap);
    margin-bottom: var(--small-gap);
    transition: 500ms;
    font-size: 13px;
}

.feature-title-line
{
    display: flex;
    flex-direction: row;
    gap: var(--standard-gap);
}

.feature-title-line img, .feature-title-line svg
{
    /* height: 70px; */
    margin-top: 8px;
}

.feature-title-line p
{
    /* margin-top: -10px; */
    /* font-size: 75px; */
    border-left: 4px dashed var(--dark-contrast);
    padding-left: 13px;
}

.feature-description
{
    margin-top: 10px;
    opacity: 0%;
    position: relative;
    left: -20px;
    transition-property: left opacity;
    transition-duration: 500ms;
    display: flex;
    flex-direction: column;
    gap: 15px;
    padding-top: 8px;
    padding-left: 8px;
    border-top: 17px solid transparent;
    border-left: 17px solid transparent;
    border-image: url(../images/tool\ border\ dark\ contrast.png) 25% round;
    /* max-width: 700px;
    width: 40vw; */
}

.feature-links
{
    display: flex;
    flex-direction: row;
    /* flex-wrap: wrap; */
    gap: var(--standard-gap);
    margin-top: 10px;
}

/* .menu-area
{
    width: 45%;
} */

.feature-menu
{
    width: 50%;
    box-sizing: border-box;

    height: fit-content;
    border: 3px solid var(--lightest-gray);
    background-color: var(--white);
    transition-property: border-color max-width;
    transition-duration: 500ms;
    position: relative;
    float: right;
    user-select: none;
}

.feature-menu > div
{
    border-bottom: 3px dashed var(--lightest-gray);
    height: 32px;
    overflow-y: hidden;
    transition-property: height border-color;
    transition-duration: 500ms;
    position: relative;
}

.scroll-button-left, .scroll-button-right
{
    position: absolute;
    /* width: 25px; */
    height: 100%;
    z-index: 20;
    opacity: 15%;
    transition: opacity 150ms;
}

.scroll-button-left
{
    left: 0px;
}

.scroll-button-right
{
    right: 0px;
}

.gallery-container
{
    position: relative;
    /* height: auto; */
}

.feature-gallery
{
    display: flex;
    flex-direction: row;
    gap: var(--standard-gap);
    align-items: center;
    height: auto;
    background-color: var(--medium-green);
    overflow-x: scroll;
    overflow-y: hidden;
    /* font-size: 13px; */
    padding: var(--standard-gap);
    opacity: 0%;
    transition: opacity 500ms;
    position: relative;
    scroll-behavior: smooth;
}

.feature-gallery > img, .feature-gallery > video
{
    max-height: 100%;
    max-width: 90%;
    border: 3px solid var(--dark-contrast);
    box-sizing: border-box;
    border-radius: 20px;
}

.roadmap-box
{
    min-width: 220px;
    border: 3px solid var(--dark-contrast);
    padding: var(--standard-gap);
    background-color: var(--lightest-gray);
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    user-select: text;
}

.feature-gallery > div > ul, .feature-gallery > div > ol
{
    padding-left: 20px;
}

.menu-item-bar
{
    display: flex;
    border-bottom: 3px dashed var(--dark-contrast);
    transition: border-color 500ms;
    flex-direction: row;
    align-items: center;
    gap: var(--small-gap);
    padding: var(--small-gap);
    cursor: pointer;
    background-color: var(--white);
    box-sizing: border-box;
    font-size: 16px;
    height: 35px;
}

.more-icon
{
    height: 12px;
    padding: var(--small-gap);
}

.more-icon path
{
    transition: transform 250ms;
    transform-origin: 50% 50%;
}

.menu-content
{
    /* height: 390px; */
    overflow-x: scroll;
    overflow-y: hidden;
}

.menu-content > *
{
    height: 100%;
}

@media only screen and (max-width: 420px) {
    .portfolio-feature
    {
        flex-direction: column;
        padding: 20px;
    }

    .feature-basics
    {
        width: 100%;
    }

    .feature-description
    {
        /* max-width: 700px; */
        width: 90%;
    }

    .menu-area
    {
        width: 100%;
    }

    /* .feature-menu
    {
        opacity: 0%;
    } */

    .feature-title-line img, .feature-title-line svg
    {
        height: 50px;
    }

    .feature-title-line p
    {
        font-size: 55px;
    }

    .feature-links
    {
        flex-direction: column;
    }

    .feature-gallery
    {
        height: 200px;
        font-size: 10px;
    }

    .menu-content
    {
        height: 240px;
    }

    #etc-shelf
    {
        height: 500px;
    }
}

@media only screen and (min-width: 421px) {
    .portfolio-feature
    {
        flex-direction: column;
        padding: 20px;
    }

    .feature-basics
    {
        width: 100%;
    }

    .feature-description
    {
        /* max-width: 700px; */
        width: 90%;
    }

    .menu-area
    {
        width: 100%;
    }

    /* .feature-menu
    {
        opacity: 0%;
    } */

    .feature-title-line img, .feature-title-line svg
    {
        height: 50px;
    }

    .feature-title-line p
    {
        font-size: 55px;
    }

    .feature-links
    {
        flex-direction: row;
    }

    .feature-gallery
    {
        height: 250px;
        font-size: 11px;
    }

    .menu-content
    {
        height: 290px;
    }

    #etc-shelf
    {
        height: 500px;
    }
}

@media only screen and (min-width: 941px) {
    .portfolio-feature
    {
        flex-direction: row;
        padding: 50px;
    }

    .feature-basics
    {
        width: 55%;
    }

    .feature-description
    {
        max-width: 700px;
        width: 40vw;
    }

    .menu-area
    {
        width: 45%;
    }

    /* .feature-menu
    {
        opacity: 100%;
    } */

    .feature-title-line img, .feature-title-line svg
    {
        height: 60px;
    }

    .feature-title-line p
    {
        font-size: 62px;
    }

    .feature-links
    {
        flex-direction: row;
    }

    .feature-gallery
    {
        height: 350px;
        font-size: 13px;
    }

    .menu-content
    {
        height: 390px;
    }

    #etc-shelf
    {
        height: 600px;
    }
}

.portfolio-feature
{
    width: 100%;
    height: 300px;
    background-color: var(--light-green);
    display: flex;
    /* flex-direction: row; */
    align-items: start;
    justify-content: space-between;
    gap: 20px;
    padding-bottom: 50px;
    padding-top: 40px;
    /* padding: 50px; */
    box-sizing: border-box;
    transition: 500ms;
    position: relative;

    background-image: linear-gradient(to right, var(--dark-contrast) 40%, var(--light-green) 0%);
    background-position: top;
    background-size: 25px 3px;
    background-repeat: repeat-x;
}

.expand-icon
{
    height: 12px;
    position: absolute;
    bottom: 0px;
    padding: 15px;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    fill: var(--lightest-gray);
    transition: 500ms;
    cursor: pointer;
}

.bouncing
{
    animation: bounce 1s forwards infinite;
}

@keyframes bounce {
    0%
    {
        bottom: 0px;
    }
    50%
    {
        bottom: 6px;
    }
    100%
    {
        bottom: 0px;
    }
}

#etc-shelf
{
    width: 100%;
    display: flex;
    flex-direction: row;
    background-color: var(--lightest-gray);
    overflow-x: scroll;
    /* overflow-y: hidden; */
    padding: var(--standard-gap);
    box-sizing: border-box;
    position: relative;
    /* scroll-behavior: smooth; */
    background-image: linear-gradient(to right, var(--light-green) 40%, var(--lightest-gray) 0%);
    background-position: top;
    background-size: 25px 3px;
    background-repeat: repeat-x;
}

#etc-shelf > div
{
    width: 300px;
    /* border-right: 3px dashed var(--light-green); */
    border: 17px solid transparent;
    /* border-bottom: none; */
    border-image: url(../images/tool\ border\ dark\ contrast.png) 25% round;
    background-clip: padding-box;
    margin: 10px;
    display: flex;
    flex-direction: row;
    gap: 20px;
    /* justify-content: space-between; */
    /* cursor: pointer; */
    flex: none;
    /* background-color: var(--dark-green); */
    /* box-sizing: border-box; */
    /* margin-bottom: 0px; */
}

.etc-expandable
{
    transition: width 500ms;
    cursor: pointer;
    overflow-x: hidden;
}

.etc-expandable > *
{
    flex: none;
}

.etc-expandable > img
{
    border: 3px solid var(--dark-contrast);
    height: 100%;
    box-sizing: border-box;
}

.etc-title-line
{
    padding-top: 10px;
    display: flex;
    flex-direction: column;
    gap: var(--standard-gap);
    align-items: end;
    
}

.etc-title-line > .more-icon
{
    height: 18px;
}

.etc-title-line h3
{
    text-orientation: mixed;
    writing-mode: vertical-lr;
    transform: rotate(180deg);
    font-size: 30px;
    user-select: none;
    /* position: absolute; */
    /* bottom: 0px; */
}

.etc-basics
{
    float: right;
    display: flex;
    flex-direction: column;
    gap: var(--small-gap);
    align-items: end;
    width: 240px;
    overflow-x: hidden;
    /* background-color: white; */
}

.etc-basics > img
{
    border: 3px solid var(--dark-contrast);
    height: 70%;
    width: 100%;
    box-sizing: border-box;
    object-fit: cover;
}

.etc-basics > p
{
    text-align: right;
}

#portfolio-about
{
    width: 100%;
    /* height: 900px; */
    background-color: var(--lightest-gray);
    /* border-top: 3px solid var(--dark-contrast); */

    background-image: linear-gradient(to right, var(--light-green) 40%, var(--lightest-gray) 0%);
    background-position: top;
    background-size: 25px 3px;
    background-repeat: repeat-x;
}

#shifting-container
{
    /* width: 150px;
    height: 150px; */
    aspect-ratio: 1;
    position: relative;
    z-index: 20;
    pointer-events: none;
    /* background-color: var(--dark-contrast); */
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex: none;
    
}

.rotate-container
{
    animation: container-rotate 5s ease forwards infinite;
}

@keyframes container-transform {
    0%
    {
        transform: skew(0deg);
    }
    25%
    {
        transform: skew(10deg);
    }
    50%
    {
        transform: skew(0deg);
    }
    75%
    {
        transform: skew(-10deg);
    }
}

@keyframes container-stretch {
    0%
    {
        width: 200px;
        height: 200px;
    }
    30%
    {
        height: 150px;
    }
    50%
    {
        width: 250px;
        /* height: 200px; */
    }
    100%
    {
        width: 200px;
        height: 200px;
    }
}

@keyframes container-rotate {
    0%
    {
        transform: rotate(0deg) skew(0deg);
    }
    5%
    {
        transform: rotate(0deg) skew(5deg);
    }
    25%
    {
        transform: rotate(180deg) skew(0deg);
    }
    30%
    {
        transform: rotate(180deg) skew(5deg);
    }
    50%
    {
        transform: rotate(90deg) skew(0deg);
    }
    55%
    {
        transform: rotate(90deg) skew(5deg);
    }
    75%
    {
        transform: rotate(270deg) skew(0deg);
    }
    80%
    {
        transform: rotate(270deg) skew(5deg);
    }
    100%
    {
        transform: rotate(0deg) skew(0deg);
    }
}

#about-box > *
{
    z-index: 1;
}

/* .knife-seperator
{
    width: 40px;
    margin-left: 10px;
    margin-right: 10px;
    position: relative;
    bottom: 3px;
} */

.inspiration-name
{
    border: 3px solid var(--dark-contrast);
    width: fit-content;
    padding: var(--small-gap);
    /* margin-right: var(--standard-gap); */
    /* display: inline-block; */
    animation: pulse-green-background 2s ease forwards infinite;
    /* display: inline-flex;
    flex-direction: column;
    justify-content: center; */
    position: relative;
    cursor: pointer;
    /* background-color: rgba(0,0,0,0); */
    background-color: var(--lightest-gray);
    transition: border-color 250ms;
}

.inspiration-box
{
    width: 100%;
    background-color: var(--lightest-gray);
    border: 3px solid var(--dark-contrast);
    /* box-sizing: border-box; */
    /* padding: var(--standard-gap); */
    /* color: var(--white); */
    /* position: absolute;
    top: 45px;
    left: -3px; */
    /* height: 0px; */
    box-sizing: border-box;
    /* opacity: 0%; */
    /* display: none; */
    animation: box-shorten 750ms ease forwards;
    /* transition: opacity 250ms; */
    z-index: 20;
    /* display: flex; */
    flex-direction: column;
    align-items: start;
    gap: var(--standard-gap);
    overflow-y: hidden;
}

/* .inspiration-box p
{
    background-color: var(--lightest-gray);
    padding: var(--small-gap);
} */

.inspiration-feature
{
    width: 100%;
    /* display: flex;
    flex-direction: row;
    align-items: start;
    gap: var(--standard-gap); */
    border-top: 3px dashed var(--dark-contrast);
    padding-top: var(--standard-gap);
}

.inspiration-feature img
{
    width: 175px;
    box-sizing: border-box;
    border: 3px dashed var(--dark-contrast);
    transition: width 500ms;
    float: left;
    margin-right: 10px;
    margin-bottom: 10px;
}

.inspiration-feature p
{
    margin-top: 10px;
}

.inspiration-description
{
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: var(--small-gap);
}

@keyframes pulse-red-background {
    0%
    {
        background: #FF525200;
    }
    50%
    {
        background: #FF5252AA;
    }
    100%
    {
        background: #FF525200;
    }
}

@keyframes pulse-green-background {
    0%
    {
        background: #DCECDF00;
    }
    50%
    {
        background: #DCECDFFF;
    }
    100%
    {
        background: #DCECDF00;
    }
}

@keyframes pulse-red-border {
    0%
    {
        border-color: #FF525244;
    }
    50%
    {
        border-color: #FF5252FF;
    }
    100%
    {
        border-color: #FF525244;
    }
}

@keyframes pulse-red-stroke {
    0%
    {
        stroke: #FF525244;
    }
    50%
    {
        stroke: #FF5252FF;
    }
    100%
    {
        stroke: #FF525244;
    }
}

.visible
{
    /* opacity: 100%; */
    display: flex;
    animation: box-heighten 750ms ease forwards;
    pointer-events: all;
}

@keyframes box-heighten {
    0%
    {
        height: 0px;
        opacity: 0%;
    }
    10%
    {
        opacity: 0%;
    }
    99%
    {
        height: 400px;
        opacity: 100%;
    }
    100%
    {
        height: auto;
        opacity: 100%;
    }
}

@keyframes box-shorten {
    0%
    {
        display: flex;
        height: 400px;
        opacity: 100%;
    }
    90%
    {
        opacity: 0%;
    }
    100%
    {
        display: none;
        height: 0px;
        opacity: 0%;
    }
}

.contact-container
{
    position: relative;
    width: 100px;
    aspect-ratio: 1;
    background-color: var(--light-green);
    border: 3px solid var(--dark-contrast);
    overflow-y: hidden;
}

.contact-overlay
{
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 0px;
    transition: top 500ms;
    z-index: 10;
    background-color: var(--dark-contrast);
}

.contact-overlay > *
{
    /* max-width: 75px;
    max-height: 75px; */
    max-width: 60%;
    max-height: 60%;
}

.contact-button-container
{
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1;
    box-sizing: border-box;
    padding: 10px;
}

/* CSS PROPERTY CLASSES */

.center-block
{
    margin-left: auto;
    margin-right: auto;
}

@media only screen and (max-width: 420px) {
    .responsive-flex
    {
        display: flex;
        flex-direction: column;
    }

    .small-responsive-width
    {
        max-width: 80vw;
        width: 500px;
    }

    .responsive-grid
    {
        display: grid;
        grid-template-columns: 1fr;
    }

    .feature-video
    {
        width: 90vw;
        max-height: 60vh;
    }

    .wide-when-small
    {
        width: 100%;
    }

    .nav-item
    {
        font-size: 18px;
    }

    .large-responsive-img
    {
        width: 110px;
    }

    .responsive-medium-padding
    {
        padding: 10px;
    }

    .responsive-padding
    {
        padding: 30px;
    }

    .nav-item
    {
        font-size: 14px;
    }

    .responsive-large-text
    {
        font-size: 30px;
    }

    h1
    {
        font-size: 35px;
    }
}

@media only screen and (min-width: 421px) {
    .responsive-flex
    {
        display: flex;
        flex-direction: column;
    }

    .small-responsive-width
    {
        max-width: 80vw;
        width: 500px;
    }

    .responsive-grid
    {
        display: grid;
        grid-template-columns: 1fr;
    }

    .feature-video
    {
        width: 90vw;
        max-height: 60vh;
    }

    .wide-when-small
    {
        width: 100%;
    }

    .nav-item
    {
        font-size: 18px;
    }

    .large-responsive-img
    {
        width: 110px;
    }

    .responsive-medium-padding
    {
        padding: 15px;
    }

    .responsive-padding
    {
        padding: 30px;
    }

    .responsive-large-text
    {
        font-size: 40px;
    }

    h1
    {
        font-size: 50px;
    }
}

@media only screen and (min-width: 941px) {
    .responsive-flex
    {
        display: flex;
        flex-direction: row;
    }

    .small-responsive-width
    {
        max-width: 30vw;
        width: 500px;
    }

    .responsive-grid
    {
        display: grid;
        grid-template-columns: 1fr 1fr;
    }

    .feature-video
    {
        width: 100%;
        max-height: 80vh;
    }

    .nav-item
    {
        font-size: 25px;
    }

    .large-responsive-img
    {
        width: 175px;
    }

    .responsive-padding
    {
        padding: 60px;
    }

    .responsive-medium-padding
    {
        padding: 20px;
    }

    .responsive-large-text
    {
        font-size: 50px;
    }

    h1 
    {
        font-size: 50px;
    }
}

.flex-column
{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.flex-row
{
    display: flex;
    flex-direction: row;
    align-items: center;
}

.flex-wrap
{
    flex-wrap: wrap;
}

.space-evenly
{
    justify-content: space-evenly;
}

.space-between
{
    justify-content: space-between;
}

.justify-center
{
    justify-content: center;
}

.align-start
{
    align-items: flex-start;
}

.align-center
{
    align-items: center;
}

.align-end
{
    align-items: flex-end;
}

.relative
{
    position: relative;
}

.absolute
{
    position: absolute;
}

.block
{
    display: block;
}

.inline-block
{
    display: inline-block;
}

.inline
{
    display: inline;
}

.dark-blue-background
{
    background-color: var(--dark-contrast);
}

.light-background
{
    background-color: var(--background-color-secondary);
}

.white-background
{
    background-color: var(--white);
}

.lightest-green-background
{
    background-color: var(--lightest-green);
}

.light-green-background
{
    background-color: var(--light-green);
}

.medium-green-background
{
    background-color: var(--medium-green);
}

.dark-green-background
{
    background-color: var(--dark-green);
}

.lightest-green-background
{
    background-color: var(--lightest-green);
}

.light-green-background
{
    background-color: var(--light-green);
}

.medium-green-background
{
    background-color: var(--medium-green);
}

.dark-green-background
{
    background-color: var(--dark-green);
}

.lightest-gray-background
{
    background-color: var(--lightest-gray);
}

.light-gray-background
{
    background-color: var(--light-gray);
}

.medium-gray-background
{
    background-color: var(--medium-gray);
}

.dark-gray-background
{
    background-color: var(--dark-gray);
}

.lightest-red-background
{
    background-color: var(--lightest-red);
}

.light-red-background
{
    background-color: var(--light-red);
}

.medium-red-background
{
    background-color: var(--medium-red);
}

.dark-red-background
{
    background-color: var(--dark-red);
}

.medium-flesh-background
{
    background-color: var(--medium-flesh);
}

.light-flesh-background
{
    background-color: var(--light-flesh);
}

.lightest-flesh-background
{
    background-color: var(--lightest-flesh);
}

.medium-burnt-background
{
    background-color: var(--medium-burnt);
}

.dark-burnt-background
{
    background-color: var(--dark-burnt);
}

.texture-background
{
    background-image: url('../../assets/images/tts/texture background 2.png');
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    image-rendering: pixelated;
}

.transluscent-background
{
    background-color: #00000080;
    border-radius: 40px;
    /* color: var(--white); */
}

.small-gap
{
    /* gap: 20px; */
    gap: var(--small-gap);
}

.small-padding
{
    /* padding: 20px; */
    padding: var(--small-gap);
}

.small-margin
{
    /* margin: 20px; */
    margin: var(--small-gap);
}

.medium-gap
{
    /* gap: 20px; */
    gap: var(--standard-gap);
}

.medium-padding
{
    /* padding: 20px; */
    padding: var(--standard-gap);
}

.medium-margin
{
    /* margin: 20px; */
    margin: var(--standard-gap);
}

.large-gap
{
    /* gap: 20px; */
    gap: var(--large-gap);
}

.large-padding
{
    /* padding: 20px; */
    padding: var(--large-gap);
}

.large-margin
{
    /* margin: 20px; */
    margin: var(--large-gap);
}

.vertically-spaced
{
    margin: 100px;
}

.z-1
{
    z-index: 1;
}

.z-10
{
    z-index: 10;
}

.width-80
{
    width: 80%;
}

.width-100
{
    width: 100%;
}

.height-max80
{
    height: 80vh;
    min-height: 600px;
}

.height-min80
{
    min-height: 80vh;
}

.height-100
{
    min-height: 100vh;
}

.width-100p
{
    width: 100%;
}

.height-100p
{
    height: 100%;
}

.width-50p
{
    width: 50%;
}

.fit-content
{
    width: fit-content;
}

.fit-height
{
    height: fit-content
}

.border-box
{
    box-sizing: border-box;
}

/* .scroll-container
{
    scroll-snap-type: y mandatory;
    overflow-y: scroll;
}

.scroll-align
{
    scroll-snap-align: center;
    scroll-snap-stop: always;
} */

.hide-overflow-x
{
    overflow-x: hidden;
}

.red-gradient
{
    background: linear-gradient(
        to bottom,
        var(--white) 0%,
        var(--white) 85%,
        var(--light-red) 100%
    );
}

.green-gradient
{
    background: linear-gradient(
        to bottom,
        var(--lightest-gray) 0%,
        var(--light-green) 100%
    );
}

.gray-gradient
{
    background: linear-gradient(
        to bottom,
        var(--light-green) 0%,
        var(--lightest-gray) 100%
    );
}

.flesh-gradient
{
    background: linear-gradient(
        to top,
        var(--white) 90%,
        var(--lightest-flesh) 100%
    );
}

.skew-17
{
    transform: skewX(-17deg);
}

.bold
{
    font-weight: 750;
}

.text-justify
{
    text-align: justify;
}

.medium-text
{
    font-size: 20px;
}

.large-text
{
    font-size: 40px;
}

.huge-text
{
    font-size: 75px;
}

.red-text
{
    color: var(--lightest-red);
}

.selected-border
{
    border: 3px solid var(--red);
}

.white-text
{
    color: var(--white);
}

.gray-border
{
    border: 5px solid var(--light-gray);
}

.dropshadow
{
    filter: drop-shadow(3px 3px 6px var(--shadow));
}

.dark-shadow
{
    filter: drop-shadow(3px 3px 6px var(--dark-contrast));
}

.red-shadow
{
    filter: drop-shadow(3px 3px 10px var(--light-red));
}

.white-shadow
{
    filter: drop-shadow(0px 0px 10px var(--white));
}

.dark-text-shadow
{
    text-shadow: 2px 2x 2px var(--dark-contrast);
}

.flesh-shadow
{
    filter: drop-shadow(0px 0px 10px var(--lightest-flesh));
}

.standard-content-width
{
    width: 90vw; 
    max-width: 700px;
}

.small-content-width
{
    width: 500px;
}

.medium-content-width
{
    width: 700px;
    max-width: 75vw;
}

.wide-content
{
    width: 90vw;
    max-width: 1200px;
}

.fit-width
{
    width: fit-content;
}

/* .wide-content-width
{
    width: 500px;
} */

.opacity-gradient
{
    /* mask-image: gradient(
        linear, 
        left top, 
        right top, 
        from(rgba(0,0,0,1)), 
        to(rgba(0,0,0,0))
    ); */

    mask-image: linear-gradient(
        to right,
        rgba(0,0,0,0) 10%, 
        rgba(0,0,0,1) 50%
    );
}

.blur-3p
{
    backdrop-filter: blur(3px);
}

.blur-6p
{
    backdrop-filter: blur(6px);
}

.tool-border
{
    border: 20px solid transparent;
    border-image: url(../images/tool\ border\ dark\ contrast.png) 25% round;
    background-clip: padding-box;
}

.tech-border
{
    border-top: 17px solid transparent;
    border-left: 17px solid transparent;
    border-image: url(../images/tool\ border\ dark\ contrast.png) 25% round;
    background-clip: padding-box;
}

.left-tool-border
{
    border-left: 20px solid transparent;
    border-image: url(../images/tool\ border\ dark\ contrast.png) 25% round;
    background-clip: padding-box;
}

.gray-top-border
{
    background-image: linear-gradient(to right, var(--lightest-gray) 40%, var(--light-green) 0%);
    background-position: top;
    background-size: 25px 3px;
    background-repeat: repeat-x;
}

.border-3p
{
    border: 3px solid var(--dark-contrast);
}

.border-5p
{
    border: 5px solid var(--dark-contrast);
}

.dashed-border
{
    border: 3px dashed var(--light-gray);
}

.dashed-light-border
{
    border: 3px dashed var(--lightest-gray);
}

.no-pointer-events
{
    pointer-events: none;
}

.medium-transition
{
    transition-duration: 3s;
}